curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/machines/provision' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"seed_from_gss": true,
"training_examples": [
{
"expected_category": "string",
"input": "string"
}
]
}'
{
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"programs_learned": 1,
"status": "pending",
"successful_abductions": 1,
"total_examples": 1,
"training_examples_used": 1,
"vocabulary_size": 1
}
Provision machine handler
Required scope: models:manage
POST
/
api
/
v1
/
machines
/
provision
curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/machines/provision' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"seed_from_gss": true,
"training_examples": [
{
"expected_category": "string",
"input": "string"
}
]
}'
{
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"programs_learned": 1,
"status": "pending",
"successful_abductions": 1,
"total_examples": 1,
"training_examples_used": 1,
"vocabulary_size": 1
}
Required scope:
models:manage
Request body
ProvisionRequest
boolean
Whether to seed with the org’s GSS rules from the seed file (default: true).
ProvisionTrainingExample[]
Optional custom training examples to include during provisioning.
Response
ProvisionResponse
string
required
integer
required
string
required
integer
required
integer
required
integer
required
integer
required
Status codes
| Code | Meaning |
|---|---|
201 | Machine provisioned successfully |
401 | Unauthorized — missing or invalid credentials |
403 | Forbidden — the key/token lacks the required scope |
429 | Rate limited — see Retry-After / X-RateLimit-Reset |
500 | Failed to provision machine |
curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/machines/provision' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"seed_from_gss": true,
"training_examples": [
{
"expected_category": "string",
"input": "string"
}
]
}'
{
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"programs_learned": 1,
"status": "pending",
"successful_abductions": 1,
"total_examples": 1,
"training_examples_used": 1,
"vocabulary_size": 1
}
Last modified on August 31, 2026